# Visualization & statsmodels integration

s1=pandas.read_csv('../Examples/forex_data/gbp_trimmed', index_col=0,
      parse_dates=True, names=['date','GBP'])
s2=pandas.read_csv('../Examples/forex_data/usd_trimmed', index_col=0,
      parse_dates=True, names=['date','USD'])
s3=pandas.read_csv('../Examples/forex_data/euro_trimmed', index_col=0,
      parse_dates=True, names=['date','EURO'])

s1['USD'] = s2.USD
s1['EURO'] = s3.EURO

s1 = s1.sort_index()
s1.plot()

s1.ix['2011/12']

drng = pandas.date_range('2010/01/01', '2011/12/31')

df = s1.reindex(drng)
df.head()
df = s1.reindex(drng, method='pad')
df.head()

df.resample('M').plot()

import statsmodels.api as sm

plot(sm.tsa.acf(df.EURO.values, nlags=50)

model = sm.tsa.AR(df.EURO, freq='D')

res = model.fit(maxlag=30)

predict = res.predict(start=719, end=750)

print predict
print type(predict)

s1.EURO['2011/11/01':'2012/12/31'] - res.predict(start=669, end=730)

(abs(s1.EURO['2011/11/01':'2012/12/31'] - res.predict(start=669, end=730))).plot()

s1.EURO['2011/12/01':'2012/01/21'] - res.predict(start=699, end=750)

(abs(s1.EURO['2011/12/01':'2012/01/21'] - res.predict(start=699, end=750))).plot()

(abs((s1.EURO['2011/12/01':'2012/06/19'] - res.predict(start=699, end=900)))).plot()
